package com.ruoyi.biemo.business.domain.event;

import com.ruoyi.biemo.business.domain.Category;
import com.ruoyi.biemo.business.domain.DocInfo;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.context.ApplicationEvent;

import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * @author makesoft
 * @date 2022-09-10 17:13
 */
public class CategorySaveEvent extends ApplicationEvent {

    private List<Category>  list;
    public CategorySaveEvent(Object source, Category t) {
        super(source);
        this.list=new ArrayList<>(1);
        this.list.add(t);
    }

    public CategorySaveEvent(Object source, List<Category> t) {
        super(source);
        this.list = t;
    }

    public List<Category> getList() {
        return list;
    }

    public void setList(List<Category> list) {
        this.list = list;
    }

}
